Bug 999613 - SELinux is preventing /usr/libexec/nss_pcache from 'write' accesses on the directory /etc/pki/ca-trust/source.
SELinux is preventing /usr/libexec/nss_pcache from 'write' accesses on the di...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ae56e3f0718c52ee7925b83efb2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 13:33 EDT by Nicolas Mailhot
Modified: 2015-03-09 22:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-116.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-09 22:58:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2013-08-21 13:33:27 EDT
Description of problem:
SELinux is preventing /usr/libexec/nss_pcache from 'write' accesses on the directory /etc/pki/ca-trust/source.

*****  Plugin catchall (100. confidence) suggests   **************************

If vous pensez que nss_pcache devrait être autorisé à accéder write sur source directory par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# grep nss_pcache /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:httpd_t:s0
Target Context                system_u:object_r:cert_t:s0
Target Objects                /etc/pki/ca-trust/source [ dir ]
Source                        nss_pcache
Source Path                   /usr/libexec/nss_pcache
Port                          <Inconnu>
Host                          (removed)
Source RPM Packages           mod_nss-1.0.8-23.fc20.x86_64
Target RPM Packages           ca-certificates-2013.1.94-16.fc20.noarch
Policy RPM                    selinux-policy-3.12.1-71.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.0-0.rc6.git1.1.fc20.x86_64 #1
                              SMP Tue Aug 20 18:09:03 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-08-21 19:31:30 CEST
Last Seen                     2013-08-21 19:31:30 CEST
Local ID                      6d196296-f623-4f31-8ecd-1b62ab9a9911

Raw Audit Messages
type=AVC msg=audit(1377106290.303:70): avc:  denied  { write } for  pid=927 comm="nss_pcache" name="source" dev="dm-0" ino=529312 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:cert_t:s0 tclass=dir


type=SYSCALL msg=audit(1377106290.303:70): arch=x86_64 syscall=access success=no exit=EACCES a0=d60bc0 a1=2 a2=0 a3=7fff509277d0 items=0 ppid=845 pid=927 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=nss_pcache exe=/usr/libexec/nss_pcache subj=system_u:system_r:httpd_t:s0 key=(null)

Hash: nss_pcache,httpd_t,cert_t,dir,write

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.11.0-0.rc6.git1.1.fc20.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-08-22 09:14:47 EDT
commit 5a486e1c707613c082cd7fe8d3e73291591e4e68
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Thu Aug 22 15:14:35 2013 +0200

    Dontaudit access check on cert_t for httpd_t
Comment 2 Jaroslav Reznik 2015-03-03 12:09:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora Update System 2015-03-06 17:08:33 EST
selinux-policy-3.13.1-116.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-116.fc22
Comment 4 Fedora Update System 2015-03-09 04:37:28 EDT
Package selinux-policy-3.13.1-116.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-116.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3508/selinux-policy-3.13.1-116.fc22
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2015-03-09 22:58:37 EDT
selinux-policy-3.13.1-116.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.